import { TestBed } from '@angular/core/testing';
import { By } from '@angular/platform-browser';
import { ConfiguredTestComp } from './base';
export class WrappedComponent extends ConfiguredTestComp {
    constructor(component, parentComponent) {
        super(component);
        this.component = component;
        this.parentComponent = parentComponent;
        this.config.declarations = [...this.config.declarations, this.parentComponent];
    }
    initialise() {
        this.compileComponents();
        this.fixture = TestBed.createComponent(this.parentComponent);
        this.parentInstance = this.fixture.componentInstance;
        this.parentElement = this.fixture.nativeElement;
        const testedDebugElement = this.fixture.debugElement.query(By.directive(this.component));
        this.instance = testedDebugElement.injector.get(this.component);
        this.updateFixture();
    }
    setParentProps(properties) {
        Object.entries(properties).forEach(([key, value]) => {
            this.parentInstance[key] = value;
        });
        this.updateFixture();
    }
    query(element) {
        return this.parentElement.querySelector(element);
    }
}
//# sourceMappingURL=integration.js.map